DynamicJava Javadoc: Class TreeUtilities

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class TreeUtilities

    java.lang.Object
      |
      +--koala.dynamicjava.tree.TreeUtilities

public class TreeUtilities
extends java.lang.Object

This class contains a collection of utility methods for trees.

Method Summary
`static Type` | `classToType(java.lang.Class c)` Creates Type node from a Class object
`static Type` | `classToType(java.lang.Class c, java.lang.String fn, int bl, int bc, int el, int ec)` Creates Type node from a Class object
`static java.lang.String` | `listToName(java.util.List l)` Transforms a list of token into a dot-separated name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### classToType

    public static Type classToType(java.lang.Class c)

  Creates Type node from a Class object
  Parameters:
    `c` - the class to use

### classToType

    public static Type classToType(java.lang.Class c,
                                   java.lang.String fn,
                                   int bl,
                                   int bc,
                                   int el,
                                   int ec)

  Creates Type node from a Class object
  Parameters:
    `c` - the class to use
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

### listToName

    public static java.lang.String listToName(java.util.List l)

  Transforms a list of token into a dot-separated name
  Parameters:
    `l` - a list of token. l can be null.
  Returns:
    "" if l is null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.